<div class="py-4">
    <p class="text-xl">Créer un post</p>
</div>
@if (topic === undefined) {
    <div class="absolute right-1/2 top-1/2 -translate-y-1/2 translate-x-1/2">
        <p>Récupération du topic en cours...</p>
    </div>
}
@else if (topic === null) {
    <div class="absolute right-1/2 top-1/2 -translate-y-1/2 translate-x-1/2">
        <p>Le topic n'a pas été trouvé !</p>
    </div>
}
@else {
    <app-flat-box>
        <form [formGroup]="postCreationForm" class="flex flex-col gap-4">
            <div class="flex items-center gap-2">
                <label for="content">Contenu : </label>
                <app-text-input
                    id="content"
                    [type]="'text'"
                    [formControlName]="'content'"
                    [placeholder]="'Contenu du post'"
                    [isError]="false"
                    [guestForm]="postCreationForm"
                />
            </div>
            <div>
                <app-main-button
                    [label]="'Créer le post'"
                    [isDisabled]="false"
                    [isLoading]="false"
                    (onClick)="onSubmit()"
                />
            </div>
        </form>
        @if (error !== undefined) {
            <p class="text-red-500 font-semibold mt-4">{{ error }}</p>
        }
    </app-flat-box>
}
